Exchange app client credentials, an authorization code (PKCE) or a refresh token for an access token.
POST
/apps/token
const url = 'https://your-store.myciqra.com/apps/token';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://your-store.myciqra.com/apps/tokenNo token required — this call authenticates with the app’s client credentials.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
accessToken
required
string
access_token
required
string
expiresIn
required
integer | string format: int32
expires_in
required
integer | string format: int32
refresh_token
null | string
scope
required
string
scopeNotYetEnforced
required
string
tokenType
required
string
token_type
required
string
Examplegenerated
{ "accessToken": "example", "access_token": "example", "expiresIn": 1, "expires_in": 1, "refresh_token": "example", "scope": "example", "scopeNotYetEnforced": "example", "tokenType": "example", "token_type": "example"}Bad Request
Media typeapplication/json
object
error
required
string
error_description
required
string
Examplegenerated
{ "error": "example", "error_description": "example"}